Launching IME Dictionary Tool

Launching the IME Dictionary Tool

Use the Microsoft(R) IME Dictionary Tool (hereafter, "IME Dictionary Tool") to organize custom dictionaries and create new ones. The IME Dictionary Tool can be started up using one the following 3 methods.

  • Click [image] (Tools) on the IME Toolbar, then click Dictionary Tool.

  • In the Dictionary/Auto-tuning tab inside the Properties for Microsoft IME dialog box, click [image] (Dictionary Tool).

  • Click Dictionary Tool in the Add Word or Entry dialog box.

Starting from the IME Toolbar

  1. On the IME tool bar , click [image] (Tools), and then click Dictionary Tool.

Starting from the Properties for Microsoft IME dialog box

  1. On the IME tool bar , click [image] (Tools), and then click Properties.
    This opens the Properties for Microsoft IME dialog box.
  2. Click the Dictionary/Auto-tuning tab.

  3. Click [image] (Dictionary Tool).

Starting from the Add Word or Entry dialog box

  1. On the IME tool bar , click [image] (Tools), and then click Add Word or Entry.
    This opens the Add Word or Entry dialog box.

  2. Click Dictionary Tool.

Tips

  • To change the font used in the word/entry table of the Dictionary Tool, change the font from the Font box on the toolbar.


System dictionaries and the custom dictionary

Two types of dictionaries are used to convert Japanese text: system dictionaries and the custom dictionary. The following system dictionaries are provided with MS IME by default:

  • Microsoft IME Standard Dictionary (imjpst.dic)

  • Microsoft IME Postal Code Dictionary (imjpzp.dic)

  • Microsoft IME Kanji Dictionary (imjptk.dic)

  • Microsoft IME Spoken Language and Emoticon Dictionary (imjpch.dic)

  • Microsoft IME Person and Place Name Dictionary (imjpnm.dic)

  • Microsoft IME Katakana-English Word Dictionary (imjpln.dic)

  • Microsoft IME Symbol Dictionary (imjpsb.dic)

During setup, these system dictionaries are copied into the "Dicts" folder. You can add system dictionaries to, or delete them from, this folder.

When and if a system dictionary is used is indicated by the state of its checkbox.

The dictionary is used in all situations.

The dictionary is used only during the specified conversion mode.

The dictionary is not used at all.

New words added by the user and the results of auto-tuning are saved in the custom dictionary. The file name is "imjp9u.dic".

Related Topics


Registering two or more words at a time

You can register frequently entered words at the same tme. You can also perform other operations such as modifying or deleting words at the same time.

Registering two or more words in succession

  1. Click [image] (Tools) on the IME toolbar , and select Dictionary Tool.
    This opens the Microsoft IME Dictionary Tool.

  2. Click either Add from the Edit menu, or [image] (Add) on the Toolbar.
    The Add Word or Entry dialog box appears.

  3. In the Reading box, enter the reading of the word to be registered in hiragana or alphanumeric characters.

  4. In the Display box, enter the word to be registered.

  5. In the Part of Speech box, select the part of speech of the word to be registered.

  6. To add a user comment , enter the comment in the User Comments box. The comment can be up to 128 characters long.

  7. To send information on the registered word and your Microsoft IME settings to Microsoft, select the Register and Send check box. The information will be sent at the same time when the word is registered in the custom dictionary.

  8. Click Add, then continue registering words by repeating Steps 3-7, above.

  9. When you are finished, click Close.

  10. On the File menu, click Exit.

Registering two or more words simultaneously

  1. Click [image] (Tools) on the IME toolbar , and select Dictionary Tool.
    This opens the Microsoft IME Dictionary Tool.

  2. From the Tool menu, click Import from Text file.

  3. In the Import from Text file dialog box, select Microsoft IME Text Files (*.txt) from the Files of type box.

  4. Select a file, and click Open.

  5. Click End to return to the main window.

  6. From the File menu, click Exit.

Tips

  • You can register words of up to 60 characters in length.

  • You can enter short, simple readings for long phrases like company names, and phrases that are difficult to convert. For instance, if you register the reading "こすも" to the phrase "コスモパラダイスインターナショナル株式会社", you can then simply enter "こすも" and convert it to display "コスモパラダイスインターナショナル株式会社".

  • Registering commonly used words in the dictionary by part of speech will allow you to enter and convert Japanese text more efficiently.

  • When registering a word or phrase, enter the stem (the part of the word or entry that does not change) in the Reading and Display boxes. For example, if you want the reading "めちゃすごい" to convert to "メチャ凄い", enter "めちゃすご" in the Reading box and "メチャ凄" in the Display box, then select Adjective as the part of speech. Once registered, you will be able to easily convert not only "メチャ凄い", but also variants to the phrase such as "メチャ凄く" and "メチャ凄そう".

  • If more than one word is registered with the same reading, for example in the case of homonyms, selecting from the candidate list can be tedious. Adding user comments can make it easier to select the correct candidate from the candidate list.

  • You can register words while you are working in an application. Leave the Add Word or Entry dialog box open while running an application, and return to the dialog box when necessary.


Deleting a registered word or entry

You can delete a registered word or entry from the custom dictionary by using the Dictionary Tool. You can also delete more than one word or entry at once.

  1. On the IME toolbar , click [image] (Tools), and then click Dictionary Tool.
    This opens the Microsoft IME Dictionary Tool.

  2. To delete a word, click the Word tab. To delete an entry, click the Entries tab.

  3. Select the reading of the word or entry you wish to delete.
    To delete multiple words/entries, select multiple words/entries using the mouse or keyboard.
  4. Click either Delete from the Edit menu, or [image] (Delete) on the Toolbar.
    The confirmation window appears.

  5. Click Yes.
    You will return to the Microsoft IME Dictioary Tool main window.

  6. From the File menu, click Exit.

Tips

  • You can search for words by its reading, by how they were registered, and by its part of speech. From the Tool menu, click Extract, and fill in the desired options in the Extract dialog box.


Importing words registered in a previous version of Microsoft IME

In Microsoft IME, you can import and use words registered in a previous version of Microsoft IME (2/95/97/98/2000/2002/2003) to your custom dictionary. The Microsoft IME system dictionaries have been improved and expanded from the previous Microsoft IME versions. For this reason, you will not be able to add the contents of just any Microsoft IME custom dictionary.
The following dictionary and files can be added.

Custom Dictionaries

Microsoft IME 2003 custom dictionaries

Microsoft IME 2002 custom dictionaries

Microsoft IME 2000 custom dictionaries

Microsoft IME 98 custom dictionaries

Microsoft IME 97 custom dictionaries

Microsoft IME 95 custom dictionaries

Microsoft IME custom dictionaries

Microsoft IME 2 custom dictionaries

Microsoft IME Format Text Files
  1. On the IME toolbar , click [image] (Tools), and then click Dictionary Tool.
    This opens the Microsoft IME Dictionary Tool.

  2. From the Tool menu, click Import Microsoft IME dictionary
    The Import from Microsoft IME Dictionary dialog box appears.

  3. Select a file, and click Open.

  4. Click Close.

  5. When you are finished, select Exit from the File menu.

Tips

  • To import words registered in an IME format text file, in Step 4, above, from the Tool menu click Import from Text File. Then, in the Files of type box in the Import from Text File dialog box, select Microsoft IME Text Files (*.txt), select a file, and then click Open.


Editing a registered word or entry

Edits a registered word or entry.

  1. On the IME toolbar , click [image] (Tools), and then click Dictionary Tool.
    This opens the Microsoft IME Dictionary Tool.

  2. To edit a word, click the Word tab. To edit an entry, click the Entries tab.

  3. Select the reading of the word/entry you want to edit.

  4. Click Edit from the Edit menu, or click [image] (Edit) on the Toolbar.
    The Change Word or Entry dialog box appears.

  5. Enter the reading, display, user comment, and other settings in the same way as when you registered the word.

  6. Click Add.

  7. When you are finished, click Close.

  8. From the File menu, click Exit.

Tips

  • When registering a word or entry, enter the stem (the part of the word or entry that does not change) in the Reading and Display boxes. For example, if you want the reading "めちゃすごい" to convert to "メチャ凄い", enter "めちゃすご" in the Reading box and "メチャ凄" in the Display box, then select Adjective as the part of speech. Once registered, you will be able to easily convert not only "メチャ凄い", but also variants to the phrase such as "メチャ凄く" and "メチャ凄そう".

  • You can search for words by its reading, by how they were registered, and by its part of speech. From the Tool menu, click Extract, and fill in the desired options in the Extract dialog box.
  • You can register words while you are working in an application. Leave the Add Word or Entry dialog box open while running an application, and return to the dialog box when necessary.


Importing words which were registered in dictionaries from other applications

The conversion accuracy of Microsoft IME has improved dramatically. Ordinarily, you can expect conversion to work well without needing to add words from dictionaries of other applications to the Microsoft IME custom dictionary.

If you wish to add words registered in dictionaries from other applications, we recommend you to only register the following types of words: auto-tuned (gakushuu) words from ATOK, custom (yuuzaa touroku) words from VJE, and custom (yuuzaa) words from WX.

The following file can be added.

・ WX format text files
・ VJE format text files
・ ATOK format text files
・ NECAIIME format text files

  1. Click [image] (Tools) on the IME toolbar and then click Dictionary Tool.
    This opens the Microsoft IME Dictionary Tool window.

  2. From the Tool menu, click Import from Text File.
    The Import from text file dialog box appears.

  3. Select a file and then click Open.
    The words are registered to the custom dictionary.

  4. Click Close.
    You will return to the Microsoft IME Dictionary Tool main window.

  5. When you are finished, select Exit from the File menu.

Tips

  • If you have trouble importing words from a dictionary from another application, open the Import from Text File dialog box, and in the Files of type box, select the file format of the dictionary you wish to import and then click Open.


Saving registered words to a text file

Saves registered words and phrases to a text file.
Use this option when you want to save the contents of a dictionary to a text file. Files are saved as IME format text files.

  1. Click [image] (Tools) on the IME toolbar and then click Dictionary Tool.
    This opens the Microsoft IME Dictionary Tool window.

  2. From the Tool menu, click Export to text file.
    This opens the Export list: Words dialog box.

  3. In the File name box, enter the name of the export file.

  4. Click Save.
    The list is saved to a text file, and a confirmation message appears.

  5. Click Exit.
    You will return to the Microsoft IME Dictionary Tool window.

  6. When you are finished, select Exit from the File menu.

Tips

  • Select the Output in Unicode checkbox to save the text file in Unicode format.


Creating a new custom dictionary file

Creates a new custom dictionary file.

  1. Click [image] (Tools) on the IME toolbar and then click Properties.
    This opens the Properties for Microsoft IME dialog box.

  2. Click the Dictionary/Auto-tuning tab.

  3. Under Name in the Custom Dictionary box, enter the name of the new custom dictionary.

  4. Click OK.

Tips

  • You can also add a new custom dictionary by clicking Browse to open a Custom Dictionaries dialog box, entering the name of the new custom dictionary in the File name box and then clicking the Open button. In addition, clicking [image] to open the Microsoft IME Dictionary Tool window, then selecting New from the File menu will also let you add a new custom dictionary.

  • You can also display the Properties for Microsoft IME dialog box by clicking [image] (Properties) on the IME toolbar.


Creating a new system dictionary file

Creates a new system dictionary file.

  1. Click [image] (Tools) on the IME toolbar and then click Dictionary Tool.
    This opens the Microsoft IME Dictionary Tool window.

  2. From the Tool menu, click Create System dictionary.
    This opens the Create System Dictionary dialog box.

  3. Enter the name of the system dictionary in the File name box.

  4. Click Open.
    A confirmation message appears.

  5. Click OK.
    The Create system dictionary dialog box appears.

  6. Click Exit.
    You will return to the Microsoft IME Dictionary Tool window.

  7. When you are finished, select Exit from the File menu.


Finding a word registered in the custom dictionary

Searches for a registered word by its reading.

  1. Click [image] (Tools) on the IME toolbar , and then click Dictionary Tool.
    This opens the Microsoft IME Dictionary Tool.

  2. From the Edit menu, click Find.
    The Find dialog box appears.

  3. In the Reading box, enter the word you want to search for.

  4. Click Up or Down.
    The retrieved reading is displayed in inverted form.

  5. Click Close to close the Find dialog box.

  6. When you are finished, select Exit from the File menu.


Sorting words

You can sort the contents of the Dictionary Tool list to make words and phrases easier to find.

  1. Click [image] (Tools) on the IME toolbar , and then click Dictionary Tool.
    This opens the Microsoft IME Dictionary Tool.

  2. Click one of the following column headers: Reading, Word, POS, Reg Type, or Comment.
    Each time you click a column header, the list contents are sorted by that header. By clicking the same column header, you can toggle between sorting by ascending and descending order.


Extracting words to be edited

You can specify a range of search options to extract certain words to be edited.
After extracting the words, the results can be saved in a new text file.

  1. Click [image] (Tools) on the IME toolbar and then click Dictionary Tool.
    This opens the Microsoft IME Dictionary Tool window.

  2. Click Extract from the Tool menu.
    The Extract dialog box appears

  3. Define the search conditions.

  4. Click Start Query.
    The search results are displayed.

  5. When you are finished, select Exit from the File menu.


Deleting an auto-tuned word

Deletes a word from the custom dictionary which was automatically registered using the Auto-tuning feature.

  1. On the IME toolbar , click [image] (Tools), and then click Dictionary Tool.
    This opens the Microsoft IME Dictionary Tool.

  2. From the Tool menu, click Extract.
    The Extract dialog box appears.

  3. In the Type of Addition box, select the Auto-tuning check box, and clear the Add Word check boxes.

  4. Click Start Query.

    5. The words which were automatically registered by the auto-tune feature are extracted and appear.
  5. Select the word you wish to delete.
  6. From the Edit menu, click Delete, or click [image] (Delete) on the Toolbar.

  7. Click Yes.

    8. You will return to the Microsoft IME Dictionary Tool window.
  8. From the File menu, click Exit.


Deleting a group of registered words from the dictionary

You can delete a group of registered words in the Microsoft IME custom dictionary by using an IME format text file.

  1. On the IME toolbar , click [image] (Tools), and then click Dictionary Tool.
    This opens the Microsoft IME Dictionary Tool.

  2. From the Tool menu, click Import deletions from text file.
    The Import Deletions from Text File dialog box appears.

  3. Specify the file name in the File name box, then click Open.

  4. At the confirmation message, click Close.
    The words in the specified text file are deleted from the custom dictionary.

  5. When you are finished, select Exit from the File menu.